Package: org.codehaus.groovy.transform.tailrec

## [Groovy] Class UsedVariableTracker

- org.codehaus.groovy.transform.tailrec.UsedVariableTracker

- All Implemented Interfaces and Traits:
    VariableReplacedListener

      @CompileStatic
      class UsedVariableTracker
      extends Object

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Set<String>` | `usedVariableNames`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `variableReplaced(VariableExpression oldVar, VariableExpression newVar)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### final Set<String> usedVariableNames

  - ### Method Detail

    - #### @Override void variableReplaced(VariableExpression oldVar, VariableExpression newVar)